Loading...
Searching...
No Matches
mdds::trie::detail::const_iterator< _TrieType > Class Template Reference
Inheritance diagram for mdds::trie::detail::const_iterator< _TrieType >:

## Public Member Functions

| const_iterator (node_stack_type &&node_stack, key_type &&buf, iterator_type type)
| const_iterator (const iterator< _TrieType > &it)
Public Member Functions inherited from mdds::trie::detail::iterator_base< _TrieType, true >
bool | operator== (const iterator_base &other) const
bool | operator!= (const iterator_base &other) const
value_type | operator* ()
value_type | operator-> ()
iterator_base & | operator++ ()
iterator_base & | operator-- ()

## Additional Inherited Members

Public Types inherited from mdds::trie::detail::iterator_base< _TrieType, true >
using | value_type
using | pointer
using | reference
using | difference_type
using | iterator_category
Protected Types inherited from mdds::trie::detail::iterator_base< _TrieType, true >
using | trie_type
using | _is_const
using | node_stack_type
using | trie_node_type
using | trie_node_child_pos_type
using | key_type
using | trie_value_type
Protected Member Functions inherited from mdds::trie::detail::iterator_base< _TrieType, true >
| iterator_base (empty_iterator_type)
Static Protected Member Functions inherited from mdds::trie::detail::iterator_base< _TrieType, true >
static trie_node_type * | push_child_node_to_stack (node_stack_type &node_stack, key_type &buf, trie_node_child_pos_type &child_pos)
static trie_node_type * | descend_to_previus_leaf_node (node_stack_type &node_stack, key_type &buf)
Protected Attributes inherited from mdds::trie::detail::iterator_base< _TrieType, true >
friend | search_results< trie_type >
node_stack_type | m_node_stack
key_type | m_buffer
key_type | m_current_key
trie_value_type * | m_current_value_ptr
iterator_type | m_type